Package org.eclipse.emf.cdo.common

# Enum Class CDOCommonRepository.State

java.lang.Object
java.lang.Enum<CDOCommonRepository.State>
org.eclipse.emf.cdo.common.CDOCommonRepository.State

All Implemented Interfaces:
  `Serializable`, `Comparable<CDOCommonRepository.State>`, `Constable`

Enclosing interface:
  CDOCommonRepository

public static enum CDOCommonRepository.State extends Enum<CDOCommonRepository.State>
Enumerates the possible `states` of a CDO repository.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INITIAL`
`OFFLINE`
`ONLINE`
`SYNCING`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isConnected()`
`static CDOCommonRepository.State`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOCommonRepository.State[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INITIAL

public static final CDOCommonRepository.State INITIAL

### OFFLINE

public static final CDOCommonRepository.State OFFLINE

### SYNCING

public static final CDOCommonRepository.State SYNCING

### ONLINE

public static final CDOCommonRepository.State ONLINE

## Method Details

### values

public static CDOCommonRepository.State[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CDOCommonRepository.State valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isConnected

public boolean isConnected()